'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _os = require('os');

var _path = require('path');

var _configFile = require('../config-file');

var _cloudLinkError = require('../cloud-link-error');

var _cloudLinkError2 = _interopRequireDefault(_cloudLinkError);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (...links) => {
  const badLink = links.find(({ name, src, dest }) => typeof name !== 'string' || typeof src !== 'string' || typeof dest !== 'string');

  if (badLink || !links.length) {
    throw new TypeError('name, src and dest must be of type string');
  }

  return (0, _configFile.get)().then(data => {
    const newLinks = links.reduce((links, { name, src, dest }) => {
      const link = links[name] || { src, dest: {} };

      if (link.src !== src) {
        throw new _cloudLinkError2.default('Trying to add conflicting links. try to remove the link first.');
      }

      link.dest[(0, _os.hostname)()] = (0, _path.resolve)(dest);

      return _extends({}, links, { [name]: link });
    }, data.links);

    return (0, _configFile.set)(_extends({}, data, { links: newLinks }));
  });
};
//# sourceMappingURL=add.js.map