'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _fs = require('fs');

var _os = require('os');

var _path = require('path');

var _lnfs = require('lnfs');

var _lnfs2 = _interopRequireDefault(_lnfs);

var _pify = require('pify');

var _pify2 = _interopRequireDefault(_pify);

var _store = require('../store');

var _store2 = _interopRequireDefault(_store);

var _list = require('./list');

var _list2 = _interopRequireDefault(_list);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const statP = (0, _pify2.default)(_fs.stat);

exports.default = (...names) => (0, _list2.default)().then(links => {
  const applyLinks = names.length ? links.filter(({ name }) => names.includes(name)) : links;

  return Promise.all(applyLinks.map(link => _extends({}, link, { src: (0, _path.resolve)(_store2.default.get('cloudPath'), link.src), dest: link.dest[(0, _os.hostname)()] })).filter(({ dest }) => dest).map(({ src, dest, name }) => statP(src).then(stats => stats.isDirectory() ? 'junction' : 'file').then(type => (0, _lnfs2.default)(src, dest, type)).then(() => ({ name, src, dest, status: 'linked' })).catch(err => ({ name, src, dest, error: err, status: err.code !== 'ENOENT' ? 'error' : 'missing' }))));
});
//# sourceMappingURL=apply.js.map