'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _os = require('os');

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _configFile = require('../config-file');

var _cloudLinkError = require('../cloud-link-error');

var _cloudLinkError2 = _interopRequireDefault(_cloudLinkError);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (...links) => {
  const badLink = links.find(({ name, all = false }) => typeof name !== 'string' || typeof all !== 'boolean');

  if (badLink || !links.length) {
    throw new TypeError('name must be of type string and all must be of type boolean');
  }

  return (0, _configFile.get)().then(data => {
    const newLinks = links.reduce((links, { name, all }) => {
      if (!links[name]) {
        throw new _cloudLinkError2.default(`Trying to remove link named '${name}' but none were found.`);
      }

      if (all) {
        delete links[name];

        return _extends({}, links);
      }

      delete links[name].dest[(0, _os.hostname)()];

      if (_lodash2.default.isEmpty(links[name].dest)) {
        delete links[name];
      }

      return _extends({}, links);
    }, data.links);

    return (0, _configFile.set)(_extends({}, data, { links: newLinks }));
  });
};
//# sourceMappingURL=remove.js.map