'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _os = require('os');

var _path = require('path');

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _pify2 = require('pify');

var _pify3 = _interopRequireDefault(_pify2);

var _pCatchIf = require('p-catch-if');

var _pCatchIf2 = _interopRequireDefault(_pCatchIf);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _store = require('../store');

var _store2 = _interopRequireDefault(_store);

var _list = require('./list');

var _list2 = _interopRequireDefault(_list);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _pify = (0, _pify3.default)(_fs2.default);

const lstat = _pify.lstat,
      realpath = _pify.realpath;

exports.default = (...names) => (0, _list2.default)().then(links => {
  const statusLinks = names.length ? links.filter(({ name }) => names.includes(name)) : links;
  const localLinks = statusLinks.filter(({ dest }) => dest[(0, _os.hostname)()]);

  return Promise.all(localLinks.map(({ dest, src, name }) => {
    const resolvedSrc = (0, _path.resolve)(_store2.default.get('cloudPath'), src);
    const resolvedDest = (0, _path.resolve)(dest[(0, _os.hostname)()]);

    return lstat(resolvedDest).then(stats => {
      if (!stats.isSymbolicLink()) {
        return 'unlinked';
      }

      return realpath(resolvedDest).then(res => res !== resolvedSrc ? 'wrong' : 'linked');
    }).catch((0, _pCatchIf2.default)(err => err.code === 'ENOENT', _lodash2.default.constant('missing'))).then(status => ({ status, src: resolvedSrc, dest: resolvedDest, name }));
  }));
});
//# sourceMappingURL=status.js.map