'use strict';

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var _caporal = require('caporal');

var _util = require('../util');

var _ = require('../..');

const getSrcByName = name => (0, _.list)().then(links => {
  const link = links.find(link => link.name === name);

  return link && link.src;
});

const resolveSrc = (src, name) => {
  const srcPromise = src ? Promise.resolve(src) : getSrcByName(name);

  return srcPromise.then(src => src || Promise.reject(new TypeError('Could not find the source from the given name, that means this is a new link and need to be provided with the source as well.')));
};

(0, _util.registerCommand)({
  initialization: true,
  name: 'add',
  description: 'Add a new link',
  args: [['<name>', 'name of the link'], ['[src]', 'relative path to source inside the cloud folder'], ['<dest>', 'path to the destination']],
  opts: [['-a, --apply', 'apply the link', _caporal.BOOL, true]],
  action({ options: { apply: shouldApply }, args: { name, src, dest }, logger }) {
    if (!dest) {
      dest = src;
      src = null;
    }

    return resolveSrc(src, name).then(src => (0, _.add)({ name, src, dest })).then(() => shouldApply && (0, _.apply)(name)).then(report => {
      logger.info(`Link ${name} added successfully!`);

      if (!shouldApply) {
        return;
      }

      var _report = _slicedToArray(report, 1),
          _report$ = _report[0];

      const src = _report$.src,
            dest = _report$.dest,
            error = _report$.error;


      if (error) {
        logger.info(`Link failed to apply! Try to apply again with 'cloud-link apply ${name}'`);
        logger.error(error);

        return;
      }

      logger.info(`${src} <- ${dest}`);
    });
  }
});
//# sourceMappingURL=add.js.map