'use strict';

var _caporal = require('caporal');

var _util = require('../util');

var _ = require('../..');

(0, _util.registerCommand)({
  name: 'init',
  description: 'Set the path to the cloud folder',
  args: [['<path>', 'Cloud folder path']],
  opts: [['-f, --force', 'force overwrite', _caporal.BOOL, false]],
  action({ args: { path }, options: { force }, logger }) {
    var _info = (0, _.info)();

    const cloudPath = _info.cloudPath;


    return (0, _util.askConfirmation)({
      shouldAsk: cloudPath && !force,
      message: `Cloud link already initialized in \`${cloudPath}\`.
Do you want to overwrite?`,
      action: () => {
        (0, _.init)(path);
        logger.info('Cloud link initialized.');
      }
    });
  }
});
//# sourceMappingURL=init.js.map