'use strict';

var _util = require('../util');

var _ = require('../..');

(0, _util.registerCommand)({
  initialization: true,
  name: 'status',
  description: 'Show the link status of configured links',
  args: [['[names...]', 'names of links to show']],
  action({ args: { names = [] }, logger }) {
    return (0, _.status)(...names).then(links => {
      if (!links.length) {
        logger.info('No links found, add some links with `cloud-link add`.');

        return;
      }

      logger.info(links);
    });
  }
});
//# sourceMappingURL=status.js.map