'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.clean = exports.set = exports.get = exports.getPath = exports.defaultTemplate = exports.defaultConfigName = undefined;

var _path = require('path');

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _jsonfile = require('jsonfile');

var _jsonfile2 = _interopRequireDefault(_jsonfile);

var _pify = require('pify');

var _pify2 = _interopRequireDefault(_pify);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _pCatchIf = require('p-catch-if');

var _pCatchIf2 = _interopRequireDefault(_pCatchIf);

var _store = require('./store');

var _store2 = _interopRequireDefault(_store);

var _cloudLinkError = require('./cloud-link-error');

var _cloudLinkError2 = _interopRequireDefault(_cloudLinkError);

var _initialized = require('./actions/initialized');

var _initialized2 = _interopRequireDefault(_initialized);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const jf = (0, _pify2.default)(_jsonfile2.default);
const fsP = (0, _pify2.default)(_fs2.default);

const defaultConfigName = exports.defaultConfigName = '.cloud-link.json';
const defaultTemplate = exports.defaultTemplate = { links: {} };

const getPath = exports.getPath = () => {
  if (!(0, _initialized2.default)()) {
    throw new _cloudLinkError2.default('Cloud link not initialized');
  }

  return (0, _path.join)(_store2.default.get('cloudPath'), defaultConfigName);
};

const get = exports.get = () => jf.readFile(getPath()).catch((0, _pCatchIf2.default)(err => err.code === 'ENOENT', () => _lodash2.default.cloneDeep(defaultTemplate)));

const set = exports.set = data => jf.writeFile(getPath(), data);

const clean = exports.clean = () => fsP.unlink(getPath());
//# sourceMappingURL=config-file.js.map